Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pentaho.di.resource
Enum ResourceNamingInterface.FileNamingType

    java.lang.Object
      java.lang.Enum<ResourceNamingInterface.FileNamingType>
          org.pentaho.di.resource.ResourceNamingInterface.FileNamingType

All Implemented Interfaces:
  Serializable, Comparable<ResourceNamingInterface.FileNamingType>

Enclosing interface:
  ResourceNamingInterface

    public static enum ResourceNamingInterface.FileNamingType

extends Enum<ResourceNamingInterface.FileNamingType>

Enum Constant Summary
`DATA_FILE`
`JOB`
`SHELL_SCRIPT`
`TRANSFORMATION`

Method Summary
`static ResourceNamingInterface.FileNamingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResourceNamingInterface.FileNamingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRANSFORMATION

    public static final ResourceNamingInterface.FileNamingType TRANSFORMATION

### JOB

    public static final ResourceNamingInterface.FileNamingType JOB

### DATA_FILE

    public static final ResourceNamingInterface.FileNamingType DATA_FILE

### SHELL_SCRIPT

    public static final ResourceNamingInterface.FileNamingType SHELL_SCRIPT

Method Detail

### values

    public static final ResourceNamingInterface.FileNamingType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ResourceNamingInterface.FileNamingType c : ResourceNamingInterface.FileNamingType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ResourceNamingInterface.FileNamingType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD